package ch.zhaw.pm2.racetrack;

import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;

public class Main {

    public static void main(String[] args) throws InvalidTrackFormatException, FileNotFoundException, PositionVectorNotValid {
        boolean exit = false;
        while (!exit) {
            UserInterface userInterface = new UserInterface("Hello and Welcome");
            Game game = new Game(userInterface);
            int winner = 0;
            if (game.initPhase()) {
                winner = game.gamePhase();
            }
            List<String> optionsNewGame = new ArrayList<>();
            optionsNewGame.add("exit");
            optionsNewGame.add("new game");
            int selectedOption = userInterface.selectOption("The Winner was Car : " + winner + "\nStart new Game?", optionsNewGame);
            if(selectedOption == 0) {
                exit = true;
            }
        }
    }

}
